Public API for reading and writing your Screvi highlights, sources, articles and tags.
Authenticate with a scoped API key: X-API-Key: sk_live_… or Authorization: Bearer sk_live_…. Create one under Settings → API in Screvi.
X-API-Key: sk_live_…
Authorization: Bearer sk_live_…
The machine-readable OpenAPI document is at /api/docs.json.
GET /api/v1/.well-known/skills/default/skill.md
GET /api/v1/skill.md
GET /api/v1/tags
POST /api/v1/tags
GET /api/v1/highlights
POST /api/v1/highlights
GET /api/v1/highlights/random
GET /api/v1/highlights/{id}
PATCH /api/v1/highlights/{id}
DELETE /api/v1/highlights/{id}
GET /api/v1/search
GET /api/v1/sources
POST /api/v1/sources
GET /api/v1/sources/{id}
PATCH /api/v1/sources/{id}
DELETE /api/v1/sources/{id}
POST /api/v1/highlights/bulk
GET /api/v1/articles
POST /api/v1/articles
GET /api/v1/articles/{id}
PATCH /api/v1/articles/{id}
PATCH /api/v1/tags/{id}
DELETE /api/v1/tags/{id}
POST /api/v1/highlights/{id}/tags
DELETE /api/v1/highlights/{id}/tags
POST /api/v1/articles/{id}/tags
DELETE /api/v1/articles/{id}/tags